List
curl --request GET \
--url https://{defaultHost}/v1/return_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/return_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/return_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/return_requests"
},
"data": [
{
"id": "339caa12-b4c7-4d5a-a50b-f871c3bd534f",
"object": "return_request",
"number": "0000-R",
"status": "open",
"order": "95675d25-7871-4a2e-a0be-0d8ca793bead",
"created_at": 1782485891,
"updated_at": 1782485891
}
]
}Return Requests
List
Returns a list of your return requests.
GET
/
v1
/
return_requests
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that belong to the given orders.
The page of items you want returned.
Only return objects with the given status.
Was this page helpful?
⌘I